Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQXmlErrorHandler Class Reference
[XML module]

The TQXmlErrorHandler class provides an interface to report errors in XML data. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqxml.h>`

Inherited by TQXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool warning ( const TQXmlParseException & exception ) = 0
- virtual bool error ( const TQXmlParseException & exception ) = 0
- virtual bool fatalError ( const TQXmlParseException & exception ) = 0
- virtual TQString errorString () = 0

## Detailed Description

The TQXmlErrorHandler class provides an interface to report errors in XML data.

If you want your application to report errors to the user or to perform customized error handling, you should subclass this class.

You can set the error handler with TQXmlReader::setErrorHandler().

Errors can be reported using warning(), error() and fatalError(), with the error text being reported with errorString().

See also the Introduction to SAX2.

See also TQXmlDTDHandler, TQXmlDeclHandler, TQXmlContentHandler, TQXmlEntityResolver, TQXmlLexicalHandler, and XML.

## Member Function Documentation

### bool TQXmlErrorHandler::error ( const TQXmlParseException & exception )`[pure virtual]`

A reader might use this function to report a recoverable error. A recoverable error corresponds to the definiton of "error" in section 1.2 of the XML 1.0 specification. Details of the error are stored in exception.

The reader must continue to provide normal parsing events after invoking this function.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### TQString TQXmlErrorHandler::errorString ()`[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE.

### bool TQXmlErrorHandler::fatalError ( const TQXmlParseException & exception )`[pure virtual]`

A reader must use this function to report a non-recoverable error. Details of the error are stored in exception.

If this function returns TRUE the reader might try to go on parsing and reporting further errors; but no regular parsing events are reported.

### bool TQXmlErrorHandler::warning ( const TQXmlParseException & exception )`[pure virtual]`

A reader might use this function to report a warning. Warnings are conditions that are not errors or fatal errors as defined by the XML 1.0 specification. Details of the warning are stored in exception.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.